<?php


namespace App\ViewModels\Formulario\FormularioRegistrationViewModel;


use App\Utils\Entity;

class FormularioRegistrationViewModel extends Entity
{
    protected $titulo;
    protected $descricao;
    protected $id_medico;
    protected $perguntas;
    protected $procedimentos;
    protected $ativo;
    protected $atendimento;

    public static function builder(): FormularioRegistrationViewModelBuilder
    {
        return new FormularioRegistrationViewModelBuilder;
    }

    public function getTitulo(): string
    {
        return $this->titulo;
    }

    public function getDescricao(): string
    {
        return $this->descricao;
    }

    public function getIdMedico()
    {
        return $this->id_medico;
    }

    public function getPerguntas(): PerguntaRegistrationCollection
    {
        return $this->perguntas;
    }

    public function setTitulo(string $titulo): void
    {
        $this->titulo = $titulo;
    }

    public function setDescricao(string $descricao): void
    {
        $this->descricao = $descricao;
    }

    public function setIdMedico($id_medico): void
    {
        $this->id_medico = $id_medico;
    }

    public function setPerguntas(PerguntaRegistrationCollection $perguntas): void
    {
        $this->perguntas = $perguntas;
    }

    public function getProcedimentos(): array
    {
        return $this->procedimentos;
    }

    public function setProcedimentos(array $procedimentos): void
    {
        $this->procedimentos = $procedimentos;
    }

    public function getAtivo(): int
    {
        return $this->ativo;
    }

    public function setAtivo(int $ativo): void
    {
        $this->ativo = $ativo;
    }

    /**
     * @return mixed
     */
    public function getAtendimento()
    {
        return $this->atendimento;
    }

    /**
     * @param mixed $atendimento
     */
    public function setAtendimento($atendimento): void
    {
        $this->atendimento = $atendimento;
    }
}